Skip to main content
GET
/
organizations
/
{organizationId}
/
clusters
List clusters
curl --request GET \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/clusters \
  --header 'Authorization: Bearer <token>'
{
  "clusters": [
    {
      "cloudProvider": "AWS",
      "createdAt": "2022-11-22T04:37:12Z",
      "dbInstanceType": "db.t3.medium",
      "drRegion": "us-east-1",
      "id": "clm7k8tgw000008jz97i37y81",
      "isDrEnabled": true,
      "name": "my cluster",
      "organizationId": "clm88r8hi000008jwhzxu5crg",
      "region": "us-east-1",
      "status": "CREATED",
      "type": "DEDICATED",
      "updatedAt": "2022-11-22T04:37:12Z",
      "vpcSubnetRange": "172.20.0.0/22",
      "drPodSubnetRange": "172.21.0.0/19",
      "drSecondaryVpcCidr": "<string>",
      "drServicePeeringRange": "172.23.0.0/20",
      "drServiceSubnetRange": "172.22.0.0/22",
      "drVpcSubnetRange": "<string>",
      "enableReplicationTimeControl": true,
      "failoverInProgress": true,
      "healthStatus": {
        "value": "HEALTHY",
        "details": [
          {
            "code": "<string>",
            "description": "<string>",
            "severity": "<string>",
            "component": "<string>"
          }
        ]
      },
      "isFailedOver": true,
      "isLimited": false,
      "metadata": {
        "externalIPs": [
          "35.100.100.1"
        ],
        "kubeDnsIp": "10.100.100.0",
        "oidcIssuerUrl": "https://westus2.oic.prod-aks.azure.com/b84efac8-cfae-467a-b223-23b9aea1486d/3075f79e-abc2-4602-a691-28117197e83d/"
      },
      "nodePools": [
        {
          "cloudProvider": "AWS",
          "clusterId": "clm891jb6000308jrc3vjdtde",
          "createdAt": "2022-11-22T04:37:12Z",
          "id": "clm890zhe000208jr39dd0ubs",
          "isDefault": true,
          "maxNodeCount": 1,
          "name": "default",
          "nodeInstanceType": "t3.medium",
          "updatedAt": "2022-11-22T04:37:12Z",
          "supportedAstroMachines": [
            "A5",
            "A10"
          ]
        }
      ],
      "podSubnetRange": "172.21.0.0/19",
      "providerAccount": "provider-account",
      "secondaryVpcCidr": "<string>",
      "servicePeeringRange": "172.23.0.0/20",
      "serviceSubnetRange": "172.22.0.0/22",
      "tags": [
        {
          "key": "key1",
          "value": "value1"
        }
      ],
      "tenantId": "your-tenant-id",
      "workspaceIds": [
        "clm88rddl000108jwgeka2div"
      ]
    }
  ],
  "limit": 10,
  "offset": 0,
  "totalCount": 100
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The Organization's unique ID.

Query Parameters

names
string[]

A list of names for Clusters to filter by. The API returns details only for the specified Clusters.

provider
enum<string>

The cloud provider to list clusters for. Clusters from other providers will be filtered out of the results.

Available options:
AWS,
AZURE,
GCP
offset
integer
default:0

The number of results to skip before returning values.

Required range: x >= 0
limit
integer
default:20

The maximum number of results to return.

Required range: 0 <= x <= 1000
sorts
enum<string>[]

A list of field names to sort by, and whether to show results as ascending or descending. Formatted as <fieldName>:asc or <fieldName>:desc.

Available options:
name:asc,
name:desc,
createdAt:asc,
createdAt:desc,
updatedAt:asc,
updatedAt:desc

Response

OK

clusters
object[]
required

The list of clusters in the current page.

limit
integer
required

The maximum number of clusters in one page.

Example:

10

offset
integer
required

The offset of the current page of clusters.

Example:

0

totalCount
integer
required

The total number of clusters.

Example:

100